Skip to content
Start here

Get Cloud Integration Setup Config

client.magicCloudNetworking.cloudIntegrations.initialSetup(stringproviderId, CloudIntegrationInitialSetupParams { account_id } params, RequestOptionsoptions?): CloudIntegrationInitialSetupResponse
GET/accounts/{account_id}/magic/cloud/providers/{provider_id}/initial_setup

Get initial configuration to complete Cloud Integration setup (Closed Beta).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
ParametersExpand Collapse
providerId: string
formatuuid
params: CloudIntegrationInitialSetupParams { account_id }
account_id: string
ReturnsExpand Collapse
CloudIntegrationInitialSetupResponse = McnAwsTrustPolicy { aws_trust_policy, item_type } | McnAzureSetup { azure_consent_url, integration_identity_tag, item_type, tag_cli_command } | McnGcpSetup { integration_identity_tag, item_type, tag_cli_command }
One of the following:
McnAwsTrustPolicy { aws_trust_policy, item_type }
aws_trust_policy: string
item_type: string
McnAzureSetup { azure_consent_url, integration_identity_tag, item_type, tag_cli_command }
integration_identity_tag: string
item_type: string
tag_cli_command: string
McnGcpSetup { integration_identity_tag, item_type, tag_cli_command }
integration_identity_tag: string
item_type: string
tag_cli_command: string

Get Cloud Integration Setup Config

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.magicCloudNetworking.cloudIntegrations.initialSetup(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: 'account_id' },
);

console.log(response);
{
  "errors": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "aws_trust_policy": "aws_trust_policy",
    "item_type": "item_type"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1001,
      "message": "message",
      "documentation_url": "documentation_url",
      "meta": {
        "l10n_key": "l10n_key",
        "loggable_error": "loggable_error",
        "template_data": {},
        "trace_id": "trace_id"
      },
      "source": {
        "parameter": "parameter",
        "parameter_value_index": 0,
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "aws_trust_policy": "aws_trust_policy",
    "item_type": "item_type"
  },
  "success": true
}